#!perl -w
# in above -w turns on some warnings

# perl script to back up the cloudy source files onto a different computer
# this is automatically executed once per week, early Saturday morning
# files go to cdrw_dir which should be an accessible cdrw drive,
# and also to out_dir

# bring in the perl module that includes copy
use File::Copy;

# the disk drive where the original files and results live, we will back this up
$c = "u";
# last and beta directories
$last_dir = "$c:/pub/gary/bleeding_edge/last/";
# last and beta directories
$beta_dir = "$c:/pub/gary/bleeding_edge/beta/";

# get current time and date
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) =
                                            gmtime(time);
# convert to proper year
$year = sprintf("%02d", $year % 100);
# convert to proper month
# this gives the month in two digits
$month = sprintf("%02d", $mon+1);

# create basename for file
$basename = "$year"."$month"."$mday" ;

# move to the last directory, which contains source.tar etc 
chdir( $last_dir ) or die " invalid directory for output of test suite\n";

# create fully resolved names for where the files will end up
$data_tar = "$beta_dir"."$basename"."_data.tar.gz" ;
$data_zip = "$beta_dir"."$basename"."_data.zip" ;

$source_tar = "$beta_dir"."$basename"."_source.tar.gz";
$source_zip = "$beta_dir"."$basename"."_source.zip";

$tsuite_tar = "$beta_dir"."$basename"."_tsuite.tar.gz";
$tsuite_zip = "$beta_dir"."$basename"."_tsuite.zip";

# these files live in tsuite/auto and were created by
# last night's run of current\unix\copy_files.pl
if( !copy( "data.tar.gz" , $data_tar ) )
{
   printf(" could not copy data tar\n");
   send_mail_fail();
   exit(1);
}
if( !copy( "data.zip" , $data_zip ) )
{
   printf(" could not copy data zip\n");
   send_mail_fail();
   exit(1);
}
printf(" copied data tar and zip\n");

if( !copy( "source.tar.gz" , $source_tar ) )
{
   printf(" could not copy source tar\n");
   send_mail_fail();
   exit(1);
}
if( !copy( "source.zip" , $source_zip ) )
{
   printf(" could not copy source zip\n");
   send_mail_fail();
   exit(1);
}
printf(" copied source tar and zip\n");

if( !copy( "tsuite.tar.gz" , $tsuite_tar ) )
{
   printf(" could not copy tsuite tar\n");
   send_mail_fail();
   exit(1);
}
if( !copy( "tsuite.zip" , $tsuite_zip ) )
{
   printf(" could not copy tsuite zip\n");
   send_mail_fail();
   exit(1);
}
printf(" copied tsuite tar and zip\n");



